<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.control.Button?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.PasswordField?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.image.Image?>
<?import javafx.scene.image.ImageView?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.BorderPane?>
<?import javafx.scene.layout.Pane?>
<?import javafx.scene.text.Font?>

<AnchorPane id="AnchorPane" prefHeight="400.0" prefWidth="600.0" xmlns="http://javafx.com/javafx/11.0.1" xmlns:fx="http://javafx.com/fxml/1" fx:controller="hellofx.LoginFXMLController">
   <children>
      <BorderPane layoutX="94.0" layoutY="38.0" prefHeight="400.0" prefWidth="600.0" AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0">
         <left>
            <Pane focusTraversable="true" prefHeight="400.0" prefWidth="367.0" styleClass="panel" stylesheets="@mystyling.css" BorderPane.alignment="CENTER">
               <children>
                  <Label layoutX="34.0" layoutY="206.0" prefHeight="30.0" prefWidth="300.0" style="-fx-background-color: ffffff; -fx-background-radius: 20;" />
                  <Label layoutX="34.0" layoutY="144.0" prefHeight="30.0" prefWidth="300.0" style="-fx-background-color: ffffff; -fx-background-radius: 20;" />
                  <Label layoutX="109.0" layoutY="47.0" text="PRIJAVA" textFill="WHITE">
                     <font>
                        <Font size="36.0" />
                     </font>
                  </Label>
                  <TextField fx:id="username" layoutX="59.0" layoutY="144.0" prefHeight="30.0" prefWidth="260.0" promptText="Username" style="-fx-background-color: ffffff;" />
                  <PasswordField fx:id="password" layoutX="59.0" layoutY="206.0" prefHeight="30.0" prefWidth="260.0" promptText="Password" style="-fx-background-color: ffffff;" />
                  <Button fx:id="prbutton" layoutX="46.0" layoutY="282.0" mnemonicParsing="false" onAction="#signButton" prefHeight="31.0" prefWidth="130.0" styleClass="butoon" text="Prijavi se">
                     <font>
                        <Font name="System Bold" size="13.0" />
                     </font></Button>
                  <Label fx:id="promt" layoutX="35.0" layoutY="251.0" prefHeight="16.0" prefWidth="123.0" text="Nevalidni podaci!" textFill="WHITE" visible="false">
                     <font>
                        <Font size="14.0" />
                     </font>
                  </Label>
                  <ImageView fitHeight="15.0" fitWidth="15.0" layoutX="42.0" layoutY="152.0" pickOnBounds="true" preserveRatio="true">
                     <image>
                        <Image url="@../images/usr.png" />
                     </image>
                  </ImageView>
                  <ImageView fitHeight="15.0" fitWidth="15.0" layoutX="42.0" layoutY="214.0" pickOnBounds="true" preserveRatio="true">
                     <image>
                        <Image url="@../images/pass.png" />
                     </image>
                  </ImageView>
                  <Button fx:id="studbutton" layoutX="192.0" layoutY="282.0" mnemonicParsing="false" onAction="#studButton" prefHeight="31.0" prefWidth="130.0" styleClass="butoon" text="Student">
                     <font>
                        <Font name="System Bold" size="13.0" />
                     </font>
                  </Button>
               </children>
            </Pane>
         </left>
         <right>
            <Pane prefHeight="413.0" prefWidth="275.0" style="-fx-background-color: ffffff;" BorderPane.alignment="CENTER">
               <children>
                  <ImageView disable="true" fitHeight="217.0" fitWidth="258.0" layoutX="12.0" layoutY="95.0" pickOnBounds="true" preserveRatio="true">
                     <image>
                        <Image url="@../images/logo.png" />
                     </image>
                  </ImageView>
               </children>
            </Pane>
         </right>
      </BorderPane>
   </children>
</AnchorPane>
